LDD(1)

NAME
ldd - list dynamic object dependencies

SYNOPSIS
ldd [-v] [-f format] program ...

DESCRIPTION
ldd displays all shared objects that are needed to run the given program. Contrary to nm(1), the list includes “indirect” depedencies that are the result of needed shared objects which themselves depend on yet other shared objects.

Zero, one or two -f options may be given. The argument is a format string passed to rtld(1) and allows customization of ldd's output. See rtld(1) for a list of recognised conversion characters.

The -v option displays an verbose listing of the dynamic linking headers encoded in the executable. See the source code and include files for the definitive meaning of all the fields.

SEE ALSO
ld(1), ld.so(1), nm(1)

HISTORY
A ldd utility first appeared in SunOS 4.0, it appeared in its current form in FreeBSD 1.1.

The -v support is based on code written by John Polstra <jdp@polstra.com>